## f_opendir

The f_opendir function opens a directory.

    FRESULT f_opendir (
      DIR* DirObject,      /* Pointer to the blank directory object structure */
      const char* DirName  /* Pointer to the directory name */
    );

#### Parameters

DirObject
  Pointer to the blank directory object to be created.
DirName
  Pinter to the null-terminated string that specifies the directory name to be opened.

#### Return Values

FR_OK (0)
  The function succeeded and the directory object is created. It is used for subsequent calls to read the directory entries.
FR_NO_FILE
  Could not find the directory.
FR_NO_PATH
  Could not find the path.
FR_INVALID_NAME
  The path name is invalid.
FR_INVALID_DRIVE
  The drive number is invalid.
FR_NOT_READY
  The disk drive cannot work due to no medium in the drive or any other reason.
FR_RW_ERROR
  The function failed due to a disk error or an internal error.
FR_NOT_ENABLED
  The logical drive has no work area.
FR_NO_FILESYSTEM
  There is no valid FAT partition on the disk.

#### Description

The f_opendir function opens an exsisting directory and creates the directory object for subsequent calls. The directory object structure can be discarded at any time without any procedure. This function is not supported in minimization level of >=2.

#### References

`f_readdir, DIR`

Return